organization:
  name: np
  theme: default
  bvvWriteAccess: true
  procesNotifications:
    - inbewaringstelling
    - rechtspraak

listenAddress: 0.0.0.0:8080

roles:
  - name: stagiair
    label: Stagiair
    permissions:
      bvvWriteAccess: false
      rubrieken:
        personalia:
          get:
            - alias
            - spreektalen
            - lengteCategorie
          set:
            - alias
            - spreektalen
            - lengteCategorie
      processen:
        inbewaringstelling:
          get:
            - sinds
        oppakkenVreemdeling:
          get:
            - '*'
        verwerkenUitspraak:
          get:
            - '*'
        rechtspraak:
          get:
            - '*'

  - name: wijkagent
    label: Wijkagent
    permissions:
      bvvWriteAccess: true
      rubrieken:
        personalia:
          get:
            - alias
            - spreektalen
            - kinderen
            - minderjarigeKinderen
            - lengteCategorie
            - landFamilielid
            - gewicht
            - gewichtCategorie
          set:
            - alias
            - spreektalen
            - kinderen
            - minderjarigeKinderen
            - lengteCategorie
            - landFamilielid
            - gewicht
            - gewichtCategorie
        advocaten:
          get:
            - advocatenkantoor
            - naamAdvocaat
          set:
            - advocatenkantoor
            - naamAdvocaat
        uitzettingen:
          get:
            - tijdstipUitzetting
          set:
            - tijdstipUitzetting
        gedrag:
          get:
            - '*'
          set:
            - '*'
      processen:
        inbewaringstelling:
          get:
            - sinds
            - artikel
            - categorie
          set:
            - sinds
            - artikel
            - categorie
        oppakkenVreemdeling:
          get:
            - '*'
          set:
            - '*'
        verwerkenUitspraak:
          get:
            - '*'
          set:
            - '*'
        rechtspraak:
          get:
            - '*'

  - name: breakTheGlass # Special role that will trigger a warning when used and will not be shown as login option
    label: Break the glass
    permissions:
      bvvWriteAccess: false
      rubrieken:
        personalia:
          get:
            - alias
            - spreektalen
            - lengteCategorie
            - lengte
            - gewichtCategorie
            - gewicht
            - familie
            - landFamilielid
            # - familieVNummer
            - familieAchternaam
            - familieVoornamen
            - familieGeboortedatum
            - familieNationaliteiten
            - familieRelatie
        behandelendMedewerkers:
          get:
            - '*'
        aanOfStaandehoudingen:
          get:
            - '*'
        advocaten:
          get:
            - '*'
        gezondheidsinformatie:
          get:
            - suicidaal
            - toelichtingSuicidaal
            - hongerstaker
            - toelichtingHongerstaker
            - sedertWanneerHongerstaker
            - beeindigdOpHongerstaker
            - dorststaker
            - toelichtingDorststaker
            - sedertWanneerDorststaker
            - beeindigdOpDorststaker
            # - ziek
            # - ziektebeeld
            # - medicatie
            # - welkeMedicatie
            - lichamelijke
            - welkeLichamelijke
            - zichtbareVerwondingen
            - welkeZichtbareVerwondingen
            - psychischeProblematiek
            - welkePsychischeProblematiek
            - zwangerschap
            - uitgerekendeDatum
            - drugsgebruik
            - welkDrugsgebruik
            - fitToFlyNoodzakelijk
            - resultaatFitToFly
            - toelichtingResultaatFitToFly
            - medischEscortNoodzakelijk
            - aansluitingMedischEscort
        gedrag:
          get:
            - '*'
        antecedenten:
          get:
            - '*'
        incidenten:
          get:
            - '*'
        uitzettingen:
          get:
            - '*'
      processen:
        inbewaringstelling:
          get:
          - '*'
        ibsVerzoekOpleggen:
          get:
          - '*'
        ibsVerzoekOmzetten:
          get:
          - '*'
        ibsOmzetten:
          get:
          - '*'
        ibsVerlengen:
          get:
          - '*'
        ibsVerzoekOpheffen:
          get:
          - '*'
        ibsOpheffen:
          get:
          - '*'
        oppakkenVreemdeling:
          get:
            - '*'
        verwerkenUitspraak:
          get:
            - '*'
        rechtspraak:
          get:
            - '*'
